/* $Id: ShowSelectedElementAction.java 125 2011-03-09 09:49:51Z ohura $ */
package smart_gs.reasoning_web.swingui;

import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;

import smart_gs.reasoning_web.logical.GS_RWElement;

public class ShowSelectedElementAction implements ActionListener {
	
	public void actionPerformed(ActionEvent e) {
		this.execute();
	}
	
	public void execute(){
		GS_RWElement element = GlobalViewPanel.getInstance().getSelectedElement();
		if(element != null){
			element.show();
		}
	}
}
